// pages/productDetail/productDetail.js
var app = getApp()
const wxService = require('../../utils/wxService')
import { Integer } from '../../utils/integerDigitalConvertion'
const utils = require('../../utils/util')

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    productId: '',
    scrollTips: '继续拖动，查看图文详情', // 滑动文案
    productInfo: '',
    showHtml: false,
    reachBottom: false, // 标识是否触底
    showSkuPopup: false,
    btnText: '确定',
    baseImgUrl: app.globalData.imageUrl,
    swiperCurrent: 0,
    selectSkuName: '',
    openPlusStatus: false,
    memberLevel: false,
    showCardModal: false,
    currentShareContent: null,
    fromZc: false,
    scene:'', //触点参数
    autoplay : true,
    showCouponList : false,
    goodsCouponList : [],
    promotionModal : false,
    promotionList : [],
  },
  handelToHome() {
    wx.reLaunch({
      url: '/pages/userCenter/userCenter',
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options && options.id) {
      this.data.productId = options.id;
      this.setData({
        productId: options.id,
        fromZc: options.fromZc == 1
      });
      //不是从种草过来的， 需要清除本地临时的触点信息
      // if (!options.fromZc && !options.t) {
      //   wx.removeStorageSync('TEMP_TENTACLE_INFO');
      //   wx.removeStorageSync('TIME_EXPIRATION');
      // }
    }
    let memberId = options.memberId;
    if (memberId) {
      wxService.get(`/sale/product/buyer/findByProductId?productId=${this.data.productId}`).then(res => {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          
          this.setData({
            productInfo: data
          })
          let content = {
            title: this.data.productInfo.productName,
            id: this.data.productInfo.productId,
            url: this.data.productInfo.indexUrl
          }
          let tentacleInfo = {
            content: JSON.stringify(content),
            contentId: this.data.productInfo.productId,
            tentacleId: memberId,
            contentType: app.globalData.contants.SHARE_TYPE.PRODUCT_DETAIL, //内容类型 
            title: this.data.productInfo.productName, //标题
            type: 3// 1:门店,2:员工(暂时不做),3:会员,4:第三方外部渠道,5:智能营销
          }

          this.generatePointObject(tentacleInfo);
        }
      }).finally(() => {
        wx.hideLoading()
      })
    }
  },

  //弹出活动
  onTapToActivityList(){
    this.setData({
      promotionModal : true,
    });
  },

  //关闭促销模态框
  onTapClosePromotion(){
    this.setData({
      promotionModal : false,
    });
  },

  //获取商品参与的促销活动列表
  getProductPromotions(){
    wxService.post(`/marketing/couponActivitySet/findProductIdGetPromotionActivity?productId=${this.data.productId}`).then(res => {
      if(res){
        let list = res.data.data ? res.data.data : [];
        let promotionTypeConst = {1:'满减满折',2:'一口价',3:'限时折扣',4:'限时调价',5:'限时抢购'};
        //type 促销活动类型 1满减满折，2一口价 ,3限时折扣 ，4限时调价 ，5限时抢购
        list.forEach(item => {
          item.promotionType = promotionTypeConst[item.type];
        });

        this.data.promotionList = list;
        this.setData({
          promotionList : this.data.promotionList
        });
      }
    });
  },

  //跳转到活动列表
  onTapToActivityInfo(e){
    let item = e.currentTarget.dataset.item;
    //限时抢购
    if(item.type == 5){
      wx.navigateTo({
        url: '/subPackageA/page/pages/TimelimitedSales/TimelimitedSales',
      });

      return;
    }
  },

  //领券弹出层
  onTapToGetCoupon(){
    this.setData({
      showCouponList : true,
    });
  },
  //关闭领券弹出层
  onTapCloseGetCoupon(){
    this.setData({
      showCouponList : false,
    });
  },

  //获取商品参数的领取优惠券活动
  getGoodsCouponActivityList(){
    wxService.post(`/marketing/couponActivitySet/findProductIdVerifyActivity?productId=${this.data.productId}`).then(res => {
      if(res){
        let list = res.data.data ? res.data.data : [];
        list.forEach(item => {
          item.userHasGot = this.todayHasGot(item.id);
          //2 包邮券  1 普通券
          if(item.couponType == 2){
            item.couponTypeDesc = '包邮券';
            item.moneyText = parseFloat(item.faceAmount/10/10).toFixed(1);
          }
          else {
            if(item.type == 1){
              item.couponTypeDesc = '抵用券';
              item.moneyText = parseFloat(item.faceAmount/10/10).toFixed(1);
            }
            else if(item.type == 2){
              item.couponTypeDesc = '折扣券';
              item.moneyText = parseFloat(item.faceAmount/10).toFixed(1);
              item.moneyText = item.moneyText.lastIndexOf('0') > -1 ? parseInt(item.moneyText) : item.moneyText;
            }
            else if(item.type == 3){
              item.couponTypeDesc = '定额券';
              item.moneyText = parseFloat(item.faceAmount/10/10).toFixed(1);
            }
          }
          
          item.startTime = item.startTime ? item.startTime.substring(0,10) : '';
          item.endTime = item.endTime ? item.endTime.substring(0,10) : '';
            
          item.effectDay = item.effectDay ? item.effectDay : 0;
          item.expiratedDay = item.expiratedDay ? item.expiratedDay : '';
          //dateType 1 表示绝对日期 2表示相对日期
          item.dateType = 1;
          item.dateDesc = '';
          if(item.expiratedDay){
            item.dateType = 2;
            let effectDay = item.effectDay == 0 ? '领取后即生效' : `领取后${item.effectDay}天生效`;
            let expiratedDay =  `${item.expiratedDay}天后失效`;
            item.dateDesc = [effectDay,expiratedDay].join(',');
          }
        });

        this.data.goodsCouponList = list;
        this.setData({
          goodsCouponList : this.data.goodsCouponList,
        })
      }
    })
  },

  //确定领取优惠券
  onTapSureGetCoupon(e){
    const { memberId } = wx.getStorageSync('_baseUserInfo');
    let item = e.currentTarget.dataset.item;
    if(!memberId){
      wx.showToast({
        title: '请先登录',
        icon : 'none'
      });
      return ;
    }

    if(item.userHasGot){
      return ;
    }

    wx.showLoading({
      title: '领取中..',
    });

    wxService.post(`/marketing/couponActivitySet/getCoupon`,{
      couponSettingId : item.id,
      memberId : memberId,
    }).then(res => {
      wx.hideLoading();
      if(res.data.result == 0){
        wx.showToast({
          title: '领取成功',
        });
        
        this.setLocalStorageByKey(item.id);
        this.getGoodsCouponActivityList();
      }
    })
  },

  //设置每天只能领取一次限制
  setLocalStorageByKey(couponSettingId){
    let getCouponData = wx.getStorageSync('getCouponData');
    let key = `${couponSettingId}_d_${this.getCurrentYearMonDay()}`;
    if(!getCouponData){
      getCouponData = {};
      getCouponData[key] = true;
      wx.setStorageSync('getCouponData',getCouponData);
    }
    else{
      //先设置进去
      getCouponData[key] = true;
      
      //获取今天的当前也的key
      let expiredAllKey = [];
      for(let k in getCouponData){
        let expiredKey = k.split('_d_')[1];
        if(parseInt(expiredKey) < parseInt(this.getCurrentYearMonDay())){
          expiredAllKey.push(k);
        }
      }
      //移除今天一起的过期key
      expiredAllKey.forEach(item => {
        delete getCouponData[item];
      });

      wx.setStorageSync('getCouponData',getCouponData);
    }
  },

  //是否已经领取了
  todayHasGot(couponSettingId){
    let getCouponData = wx.getStorageSync('getCouponData');
    let key = `${couponSettingId}_d_${this.getCurrentYearMonDay()}`;
    if(!getCouponData){
      return false;
    }

    if(getCouponData[key]){
      return true
    }

    return false;
  },

  //获取当前年月日
  getCurrentYearMonDay(){
    let da = new Date();
    return `${da.getFullYear()}${da.getMonth()}${da.getDate()}`;
  },

  // 立即开通plus
  openPlus(){
    wxService.post(`/merchant/modelPage/mainSetting/page?brandId=${app.globalData.brandId}&isMain=3&type=2`).then(res => {
      const { result, data } = res.data
      if (result == 0){
        wxService.router(`/subPackage/page/pages/subPage/subPage?pageId=${data.page.pageId}`)
      }
    })
  },

  addCart: function (event) {
    this.setData({
      btnText : '加入购物车',
      showSkuPopup: true,
      showSkuPopupType: 'cart'
    })
    // 商品加入购物车
    // xm_bi.Event.stat("skuAddToCart", { "amount":"666","skuId":'abcd1234'});
  },

  goBuy: function (event) {
    this.setData({
      btnText : '立即购买',
      showSkuPopup: true,
      showSkuPopupType: 'buy'
    })
  },

  // 分享
  onTapShare() {
    let content = {
      title: this.data.productInfo.productName,
      id: this.data.productInfo.productId,
      url: this.getFirstImgUrl(this.data.productInfo.listUrls)
    }
    let tentacleInfo = {
      content: JSON.stringify(content),
      contentId: this.data.productInfo.productId,
      contentType: app.globalData.contants.SHARE_TYPE.PRODUCT_DETAIL, //内容类型 
      title: this.data.productInfo.productName, //标题
      type: 3// 1:门店,2:员工(暂时不做),3:会员,4:第三方外部渠道,5:智能营销
    }

    this.data.currentShareContent = this.data.productInfo;
    this.data.currentShareContent.id = this.data.productInfo.productId;

    wxService.getTentacleContent(tentacleInfo).then(res => {
      if (res && res.id) {
        this.data.currentShareContent.tentacleId = res.id;
        let id = Integer.digit(this.data.currentShareContent.id, 10, 64);
        let tentacleId = Integer.digit(this.data.currentShareContent.tentacleId, 10, 64);
        var path = 'pages/productDetail/productDetail';
        var scene = 'i=' + id + '&t=' + tentacleId
        this.setData({
          showCardModal: true,
          cardTitle: this.data.productInfo.productName,
          cardUrl: this.getFirstImgUrl(this.data.productInfo.listUrls),
          pagePath: path,
          scene: scene
        });
      }
    })
  },
  //获取第一个不是视频的主图
  //获取数组中第一个图片格式的url
  getFirstImgUrl(urls){
      let retUrl = '';
      for(let i = 0 ; i < urls.length ; i ++){
          let url = urls[i];
          let lastIndexOfPoint = url.lastIndexOf('.');
          let extd = url.substring(lastIndexOfPoint).toUpperCase();
          if(extd != '.MP4' && extd != '.MP3' && extd != ".MOV"){
              retUrl = url;
              break;
          }
      }
      
      return  retUrl;
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const { memberId, member } = wx.getStorageSync('_baseUserInfo');
    if (!this.data.productId){
      this.data.productId = this.options.id;
    }

    //获取优惠券领取活动列表
    this.getGoodsCouponActivityList();
    //获取商品参与的促销活动
    this.getProductPromotions();
    this.getProInfo()
    this.getOpenStatus()
    this.data.currentShareContent = null;

    this.setUDeskInfo();
  },

  //设置uDeskinfo
  setUDeskInfo() {
    const baseUserInfo = wx.getStorageSync('_baseUserInfo')
    if (baseUserInfo) {
      let cellphones = [];
      this.data.udesk.nick_name = baseUserInfo.member.name;
      this.data.udesk.avatar = app.globalData.userInfo.avatarUrl;
      let customer_info = {
        cellphones: [],
      };

      customer_info.cellphones = [["", baseUserInfo.member.mobile]];
      this.data.udesk.customer_info = JSON.stringify(customer_info);
      this.setData({
        udesk: this.data.udesk
      });
    }
    else {
      this.setData({
        udesk: {
          nick_name: app.globalData.userInfo ? app.globalData.userInfo.memberId : '游客',
          avatar: app.globalData.userInfo ? app.globalData.userInfo.avatarUrl : '',
          cellphones: [],
        }
      })
    }
  },

  //获取商品详情
  getProInfo() {
    wx.showLoading({
      title: '加载中'
    })
    //获取商品详情
    wxService.get(`/sale/product/buyer/findByProductId?productId=${this.data.productId}`).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        wx.hideLoading()
        data.type = 'share';
        this.setData({
          productInfo: data
        },() => {
          this.getUncacheStock();
        });
      }
    }).finally(() => {
      wx.hideLoading()
    })
  },
  //刷新最新商品库存信息
  getUncacheStock(){
    //获取商品详情
    wxService.get(`/sale/product/buyer/findDtoByProductId?productId=${this.data.productId}`).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        if(data){
          this.data.productInfo.stock = data.stock;
          this.data.productInfo.productSku = data.productSku;
          this.data.productInfo.productStatus = data.productStatus;
          this.data.productInfo.minSalePrice = data.minSalePrice;
          this.data.productInfo.maxSalePrice = data.maxSalePrice;
          this.data.productInfo.indexUrl = data.indexUrl;
          let markTagInfo = data.markTagInfo ;
          this.data.productInfo.hasPromotionTag = markTagInfo ? true : false;
          let tagPrice = this.data.productInfo.minSalePrice;
          if(this.data.productInfo.hasPromotionTag){
            this.data.productInfo.markTagInfo = data.markTagInfo;
            this.data.productInfo.tagPic = this.data.productInfo.markTagInfo.tagPicUrl;
            if(this.data.productInfo.markTagInfo.tagType == 2){
              tagPrice = this.data.productInfo.minSalePrice;
            }
            else{
              tagPrice = this.data.productInfo.markTagInfo.assignPrice;
            }
            this.data.productInfo.tagType = this.data.productInfo.markTagInfo.tagType;
          }
          
          //判断价格是否大于1000了
          // if(tagPrice/100 > 1000){
          //   tagPrice = parseFloat(tagPrice/10/10).toFixed(1);
          // }
          // else{
            
          // }

          tagPrice = parseFloat(tagPrice/10/10).toFixed(2);

          this.data.productInfo.tagPrice = tagPrice;

          this.data.productInfo.productStatusDesc = data.productStatus == 1 ? '已下架' : 
          (data.productStatus == 2 ? '已上架' : '已删除');
          this.data.productInfo.productName = data.productName;
          if (data.descHtml){
            this.data.productInfo.descHtml = data.descHtml;
          }
          
          this.setData({
            productInfo: this.data.productInfo
          });
        }
      }
    }).finally(() => {})
  },

  // 获取会员等级开关
  getMemberLevel() {
    wxService.get(`/merchant/brandSwitchSetting/getOpenStatus?businessType=2`).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        this.setData({
          memberLevel: data
        })
      }
    }).finally(() => {
      wx.hideLoading()
    })
  },

  // 获取plus会员开关
  getOpenStatus() {
    wxService.get(`/merchant/brandSwitchSetting/getOpenStatus?businessType=3`).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        this.setData({
          openPlusStatus: data
        })
      }
    }).finally(() => {
      wx.hideLoading()
    })
  },

  // 页面touchstart事件
  pageTouchStart: function (e) {
    if (this.data.showHtml) {
      return
    }
    this.setData({
      reachBottom: false,
      startTouchY: null
    })
  },

  // 页面touchend事件
  pageMoveEnd: function (e) {
    if (this.data.showHtml) {
      return
    }
    if (this.data.startTouchY - e.changedTouches[0].pageY >= 50) {
      this.setData({
        showHtml: true,
        scrollTips: ''
      })
    }
  },

  // 页面touchmove事件
  pageMove: function (e) {
    if (this.data.showHtml) {
      return
    }
    wx.createSelectorQuery().selectViewport().scrollOffset((pageRes) => {
      wx.createSelectorQuery().select('.product-container').fields({
        size: true
      }, (res) => {
        if (res.height >= app.globalData.systemInfo.windowHeight + pageRes.scrollTop) {
          this.setData({
            reachBottom: true
          })
        } else {
          if (this.data.reachBottom) {
            this.setData({
              reachBottom: false
            })
          }
        }
        if (this.data.startTouchY == null) {
          this.setData({
            startTouchY: e.changedTouches[0].pageY
          })
        }
      }).exec()
    }).exec()
  },

  confirmClick(event) {
    const { skuId, count } = event.detail
    const trolleySku = {
      count,
      skuId
    }

    let selectSku = event.detail.selectSku ? event.detail.selectSku : [];
    // var selectSkuName = []
    // for (let i in event.detail.selectSku) {
    //   selectSkuName.push(event.detail.selectSku[i].name)
    // }
    // var selectSkuStr = selectSkuName.join(',')

    let selectSkuName = selectSku.join(',');
  
    this.setData({
      selectSkuName: selectSkuName
    })

    if (this.data.showSkuPopupType == 'cart') {
      // 加入购物车
      this.getPutCart(trolleySku)
    } else if (this.data.showSkuPopupType == 'buy') {
      // 关闭弹框
      this.setData({
        showSkuPopup: false
      }, () => {
        // 去下单页 && 参数
        let trolleySku2Buy = []
        trolleySku2Buy.push(trolleySku)

        let parmas = {
          trolleySku2Buy: JSON.stringify(trolleySku2Buy)
        }
        const { fromZc } = this.data;
        
        //判断是否从种草商品过来购买
        if (fromZc) {
          wxService.updateLocalTentacleInfo();
        }
        wxService
          .router('/pages/confirmOrder/confirmOrder')
          .search(parmas)
      })
    }
  },
  // put 购物车
  getPutCart(trolleySku) {
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wxService.post('/sale/trolley/put', trolleySku).then(res => {
      if (res) {
        const { result } = res.data
        if (result == 0) {
          // 关闭弹框
          this.setData({
            showSkuPopup: false
          })
          wx.hideLoading()
          wx.showToast({
            title: '添加成功，在购物车等亲~',
            icon: 'none'
          })
        }
      }
    })
  },
  //点击播放
  onVideoPlay(e){
    this.setData({
      autoplay : false,
    })
  },
  //视频暂停
  onVideoPause(e){
    this.setData({
      autoplay : true,
    })
  },
  //swiper改变
  swiperChange(e) {
    this.setData({
      swiperCurrent: e.detail.current
    });

    this.swiperChangePauseVideo();
  },
  //切换的时候
  swiperChangePauseVideo(){
    this.videoContext = [];
    this.data.productInfo.listUrls.forEach((item,index) => {
      let isVideo = utils.isVideo(item);
      if(isVideo){
        this.videoContext.push(wx.createVideoContext('myVideo' + index, this));
      }
    });
    
    setTimeout(() => {
      this.videoContext.forEach(item => {
        item.pause();
      });

      this.setData({
        autoplay : true,
      })
    });
  },
  /**
  * 用户点击右上角分享
  */
  onShareAppMessage: function (res) {
    // let id = Integer.digit(this.data.currentShareContent.id, 10, 64);
    // let tentacleId = Integer.digit(this.data.currentShareContent.tentacleId, 10, 64);
    // var path = 'pages/productDetail/productDetail?i=' + id + '&t=' + tentacleId;
    // return {
    //   path: path,
    //   imageUrl: this.data.productInfo.indexUrl, // 可以更换分享的图片
    // }
    if (res.from != 'menu') {
      let id = Integer.digit(this.data.currentShareContent.id, 10, 64);
      let tentacleId = Integer.digit(this.data.currentShareContent.tentacleId, 10, 64);
      var path = 'pages/productDetail/productDetail?i=' + id + '&t=' + tentacleId;
      return {
        title: this.data.productInfo.productName,
        path: path,
        imageUrl: this.getFirstImgUrl(this.data.productInfo.listUrls)
      }
    } else {
      //修改为参数memberId
      var path = `pages/productDetail/productDetail`;
      const { memberId, member } = wx.getStorageSync('_baseUserInfo')
      if (memberId) {
        let m = Integer.digit(memberId, 10, 64);
        // let contentId = Integer.digit(this.data.productInfo.productId, 10, 64);
        path = `pages/productDetail/productDetail?id=${this.data.productInfo.productId}&m=${m}`;
      }
      else{
        path = `pages/productDetail/productDetail?id=${this.data.productInfo.productId}`;
      }
      return {
        title: this.data.productInfo.productName,
        path: path,
        imageUrl: this.getFirstImgUrl(this.data.productInfo.listUrls)
      }

    }
  }
})